#include "project.def"
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "tine.h"
int main(int argc, char* argv[])
{
  char path[MAX_PATH];
# if defined(WIN32)
  HMODULE hm = NULL;
  int ret;
# endif
  printf("tine DLL version : %.64s\n", GetSystemVersionString());

# if defined(WIN32)
  if (GetModuleHandleEx(GET_MODULE_HANDLE_EX_FLAG_FROM_ADDRESS |
    GET_MODULE_HANDLE_EX_FLAG_UNCHANGED_REFCOUNT,
    (LPCSTR)&GetSystemVersionString, &hm) == 0)
  {
    ret = GetLastError();
    fprintf(stderr, "GetModuleHandle failed, error = %d\n", ret);
    return -1;
  }
  if (GetModuleFileName(hm, path, sizeof(path)) == 0)
  {
    ret = GetLastError();
    fprintf(stderr, "GetModuleFileName failed, error = %d\n", ret);
    return -1;
  }
  printf("tine DLL location : %.260s\n", path);
  printf("press any key to continue\n");  getchar();
# endif
  return 0;
}