#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include "tine.h"

extern int nofeclog;
extern int ListenForGlobals;
extern int ListenForMCasts;
int wdogCheck(char *cnt);
int ReportError(int cc);

char *usageTxt[] = {
  "\nScans the conrol system watchdog landscape and checks for irregularities\n",
  "wdogcheck [<context> /d=debug level]",
  "\n\tif <context> is omitted, then 'SERVICE' is assumed",
};

#define nUsageLines (int)(sizeof(usageTxt)/sizeof(char *))

int main(int argc, char *argv[])
{
  int i, len = 0, n = 0;
  char *c, *ctx = NULL;
  char scratch[32];
  gListenForGlobals = gListenForMCasts = FALSE;
  MaxPollingRate = MinPollingRate = 200;
  nofeclog = TRUE;
  SetUserType("CMDLINE");
  printf("\n");
  ctx = argv[1];
  for (i = 2; i < argc; i++)
  { /* options given */
    c = argv[i];
    if (*c == '/') c++;
    switch (tolower(*c))
    {
      case 'd':
        if ((c = strchr(c, '=')) != NULL)
        {
          c++;
          strncpy(scratch, c, 32);
          tineDebug = atoi(scratch);
          foregroundTTY = TRUE;
        }
        continue;
      default:
        continue;
    }
  }
  return ReportError(wdogCheck(ctx));
}
